> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Calibrate floorplan projection

> Generate the homography to project detections onto a floorplan.



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/camera/calibrateFloorplanProjection
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/camera/calibrateFloorplanProjection:
    post:
      tags:
        - Camera Webservice
      summary: Calibrate floorplan projection
      description: Generate the homography to project detections onto a floorplan.
      operationId: cameraCalibrateFloorplanProjection
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Common_devices_CalibrateFloorplanProjectionWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Common_devices_CalibrateFloorplanProjectionWSResponse
          description: OK
components:
  schemas:
    Common_devices_CalibrateFloorplanProjectionWSRequest:
      type: object
      description: Request to calibrate floorplan projection for a device.
      properties:
        cameraImagePointsPermyriad:
          type: array
          description: List of camera image points in permyriad coordinates
          items:
            type: array
            description: List of camera image points in permyriad coordinates
            items:
              type: integer
              format: int32
              description: List of camera image points in permyriad coordinates
              nullable: true
            nullable: true
          nullable: true
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        floorplanImagePointsPermyriad:
          type: array
          description: List of floorplan image points in permyriad coordinates
          items:
            type: array
            description: List of floorplan image points in permyriad coordinates
            items:
              type: integer
              format: int32
              description: List of floorplan image points in permyriad coordinates
              nullable: true
            nullable: true
          nullable: true
    Common_devices_CalibrateFloorplanProjectionWSResponse:
      type: object
      description: Response containing the calibrated floorplan projection homography.
      properties:
        homography:
          type: array
          description: 3x3 homography matrix for floorplan projection
          items:
            type: array
            description: 3x3 homography matrix for floorplan projection
            items:
              type: number
              format: double
              description: 3x3 homography matrix for floorplan projection
              nullable: true
            nullable: true
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````